﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using C1.Win.C1FlexGrid;

namespace FlexGridSearch
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            c1FlexGridSearchPanel1.SetC1FlexGridSearchPanel(c1FlexGrid1);
            c1FlexGridSearchPanel1.HighlightSearchResultsMode = SearchHighlightMode.All;

            c1FlexGrid1.DataSource = GetDataTable();
        }

        private DataTable GetDataTable()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Col1", typeof(string));

            dt.Rows.Add("BODY SCALE PILLOW NO.1 WITH COTTON COVER");
            dt.Rows.Add("BODY SCALE PILLOW NO.1");
            dt.Rows.Add("BODY SCALE PILLOW NO.2 WITH COTTON COVER");
            dt.Rows.Add("BODY SCALE PILLOW NO.2");
            dt.Rows.Add("BODY SCALE PILLOW NO.3 WITH COTTON COVER");
            dt.Rows.Add("BODY SCALE PILLOW NO.3");
            dt.Rows.Add("FIBER PILLOW HANG TAG NO.1 80x80MM");
            dt.Rows.Add("FIBER PILLOW HANG TAG NO.1 80x80MM");
            dt.Rows.Add("NON-WOVEN BAG 540x400x140MM (FOR NO.1, NO.2 FIBER PILLOW)");
            dt.Rows.Add("NON-WOVEN BAG 640x400x140MM (FOR NO.3 FIBER PILLOW)");
            dt.Rows.Add("WOWS FIBER PILLOW NO.1 70x40x15CM");
            dt.Rows.Add("WOWS FIBER PILLOW NO.1 70x40x15CM");

            return dt;
        }
    }
}
